petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecCUDAResetArray

Resets a vector to use its default memory. Call this after the use of VecCUDAPlaceArray().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecCUDAResetArray(Vec vin)

Not Collective

### Input Parameters

vec -the vector

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecPlaceArray(), VecResetArray(), VecCUDAPlaceArray(), VecCUDAReplaceArray()

### Level

developer

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages